<?
////////////////////////////////////////////////////////////////////////////////
// Calendar                                                                   //
// --------                                                                   //
//                                                                            //
// File Name: calendar.php                                                    //
// Additional Files: calendaer_conf.inc                                       //
//                                                                            //
// What Does It Do?                                                           //
//   This script displays a colorful calendar. You can search for a specific  //
//   date and the calendar will try to find it and will color the the date's  //
//   background. The calendar will color the font of the current date. It will//
//   display saturdays in a different color (if you want to). The calendar    //
//   will show the current full date beneath the table. By default the        //
//   calendar will go to the current date and mark today's day. There's an    //
//   option to search for a specific date (by default, the fields will show   //
//   the current date, just change to the date you want to find and click the //
//   search button). You can also navigate the calendar monthly with the      //
//   buttons of NEXT and PREV at the top of the calendar.                     //
//                                                                            //
// How It Works?                                                              //
//   The calendar uses the date and time functions to create the calendar and //
//   mark the current and the searched dates. We use forms for the NEXT and   //
//   PREV buttons to navigate the calendar, and also a form to retrieve the   //
//   date the user wants to find.                                             //
//                                                                            //
// MySQL DB: NONE                                                             //
//                                                                            //
// Data Files: NONE                                                           //
//                                                                            //
// Installation:                                                              //
//   Not much work to install, just include the file where you want the       //
//   calendar to show up. You may change the strings of the days and months.  //
//   You might also change the colors we used to mark the days.               //
//                                                                            //
//                                ENJOY !!!                                   //
////////////////////////////////////////////////////////////////////////////////

@require "calendar_conf.inc";  //loading the setup variables

$cal_sr_date=null;  //initializing the variable
$cal_today=getdate();  //the current date of today
$cal_sr_date=null;  //initializing the date we want to show with null.
if ($cal_action=="finddate")  //if we search for a date
{  //setting the date info to today's date where the info is not set
	if (!isset($cal_mon))
   	$cal_mon=$cal_today["mon"];
   if (!isset($cal_year))
   	$cal_year=$cal_today["year"];
   if (!isset($cal_day))
   {
   	$cal_sr_date=@getdate(@mktime(0,0,0,$cal_mon,1,$cal_year));  //gets the array date of the requested date
      $cal_day=0;
   }
   else  //if the day was specified
      $cal_sr_date=@getdate(@mktime(0,0,0,$cal_mon,$cal_day,$cal_year));  //gets the array date of the requested date
}
else
	$cal_sr_date=$cal_today;  //the requested date is the current date

/* printing the calendar: */
?>
<TABLE width=320 border=0 cellpadding=3 cellspacing=0>
<?
	if (!$cal_sr_date)  //if an error occured calculating the requested date
   {
   	echo "<TR bgcolor=\"#000000\"><TD colspan=3 align=\"center\"><FONT color=\"#DD3322\">       </FONT></TD></TR>\n";  //echo error message
	   $cal_sr_date=$cal_today;  //show the current month of the date
   	$cal_day=0;  //we don't mark any cell as the requested date
   }
?>
	<TR bgcolor="#006633">
   	<FORM action="<?= $PHP_SELF; ?>" method="post">
   		<TD align="center" valign="center" width=30%>
         	<INPUT type="hidden" name="cal_action" value="finddate">
         	<INPUT type="hidden" name="cal_mon" value="<? if ($cal_sr_date["mon"]+1>12) {echo "1";} else {echo ($cal_sr_date["mon"]+1);} ?>">
            <INPUT type="hidden" name="cal_year" value="<? if ($cal_sr_date["mon"]+1>12) {echo ($cal_sr_date["year"]+1);} else {echo $cal_sr_date["year"];} ?>">
            <INPUT type="submit" value="">
	      </TD>
   	</FORM>
      <TD align="center" valign="center" width=40%>
      	<FONT color="#FFFFFF" face="arial,verdana" size=3><B><?= $cal_sr_date["year"]; ?> - <?= $cal_heb_months[$cal_sr_date["mon"]]; ?></B></FONT>
      </TD>
      <FORM action="<?= $PHP_SELF; ?>" method="post">
	      <TD align="center" valign="center" width=30%>
         	<INPUT type="hidden" name="cal_action" value="finddate">
         	<INPUT type="hidden" name="cal_mon" value="<? if ($cal_sr_date["mon"]-1<1) {echo "12";} else {echo ($cal_sr_date["mon"]-1);} ?>">
            <INPUT type="hidden" name="cal_year" value="<? if ($cal_sr_date["mon"]-1<1) {echo ($cal_sr_date["year"]-1);} else {echo $cal_sr_date["year"];} ?>">
            <INPUT type="submit" value="">
	      </TD>
      </FORM>
   </TR>
   <TR bgcolor="#AAAAAA">
   	<TD colspan=3>
	   	<TABLE width=100% border=1 bgcolor="#DDDDDD" cellpadding=1 cellspacing=0>
         	<TR>
	   	   	<?
   	   	   	foreach ($cal_heb_days as $cal_heb_d)  //printing the days columns
      	   	   	echo "<TH bgcolor=\"#3333CC\" width=14% align=\"center\"><FONT color=\"CCCC00\" size=2>".$cal_heb_d."</FONT></TH>";
	      	   ?>
            </TR>
            <?
               for ($cal_d=1,$cal_wd=0;true;$cal_d++,$cal_wd=($cal_wd+1)%7)  //stopping the loop by break
               {
                  $cal_tdt=getdate(mktime(0,0,0,$cal_sr_date["mon"],$cal_d,$cal_sr_date["year"]));  //temp date to hold the date represented by $cal_d

                  if ($cal_tdt["mon"]!=$cal_sr_date["mon"])  //if we got to the next month
                  	break;  //stopping the loop

                  if ($cal_wd==0)  //if the first day of the week
                  {
                  	echo "<TR>";  //making a new line in the table
                     while ($cal_tdt["wday"]!=$cal_wd)  //skipping the cells till the first day of the month
                     {
                     	echo "<TD> </TD>";  //printing empty cell
                     	$cal_wd++;
                     }
                  }

                  $cal_cell="<TD align=\"center\"";  //opening the cell
                  if ($cal_action=="finddate" && $cal_day==$cal_d)  //if we search for a day and we got to that day
                  	$cal_cell.=" bgcolor=\"$cal_color_find_date\">";  //we mark the cell with purple background
                  else  //otherwise, if we don't search for any day
                  	$cal_cell.=">";  //we use the default background of the table
                  $cal_cell.="<FONT";  //opening the font style of the cell
                  if ($cal_sr_date["year"]==$cal_today["year"] && $cal_sr_date["mon"]==$cal_today["mon"] && $cal_d==$cal_today["mday"])  //if we got to the current date
                  	$cal_cell.=" color=\"$cal_color_today\">";  //we mark the cell with red text color
                  elseif ($cal_wd==6)  //else if we got to saturday
                  	$cal_cell.=" color=\"$cal_color_saturday\">";  //we mark the cell with navy text color
                  else  //otherwise, if it's a regular day
                  	$cal_cell.=" color=\"$cal_color_default\">";  //we use black text color
                  $cal_cell.=$cal_d."</FONT></TD>";  //we add the day number and close the font and cell styles

                  echo $cal_cell;  //echoing the cell to the browser

                  if ($cal_wd==6)  //if the last day on week
                  	echo "</TR>";  //we end the line in the table
               }
            ?>
   	   </TABLE>
      </TD>
   </TR>
   <TR bgcolor="#333333">
      <TD colspan=3 align="center"><FONT color="<?= $cal_color_today; ?>"><SPAN dir="rtl"><?= " : <B> ".$cal_heb_days[$cal_today["wday"]].", ".$cal_today["mday"]." ".$cal_heb_months[$cal_today["mon"]].", ".$cal_today["year"]."</B>"; /* printing the current date */ ?></SPAN></FONT></TD>
   </TR>
   <TR bgcolor="#006633">
   	<TD colspan=3>
	   	<FORM action="<?= $PHP_SELF; ?>" method="post">
         	<INPUT type="hidden" name="cal_action" value="finddate">
   	   	<TABLE width=100% border=0 cellspacing=1 cellpadding=1>
      	   	<TR>
                  <TD align="center">
                  	<INPUT type="submit" value="" size=20>
                  </TD>
         	   	<TD align="center">
                  	<SPAN dir="rtl">:</SPAN><BR><INPUT type="text" name="cal_day" value="<?= $cal_today["mday"]; /* print the current day */ ?>" size=5>
                  </TD>
                  <TD align="center">
                  	<SPAN dir="rtl">:</SPAN><BR>
                  	<SELECT name="cal_mon" size=1>
                     	<?
                        	foreach ($cal_heb_months as $cal_heb_num=>$cal_heb_m)  //printing the months drop menu
                           {
                           	echo "<OPTION value=\"$cal_heb_num\"";
                              if ($cal_heb_num==$cal_today["mon"])
                              	echo " selected";  //select the current month
                              echo ">".$cal_heb_m."</OPTION>";
                           }
                        ?>
                     </SELECT>
                  </TD>
                  <TD align="center">
                  	<SPAN dir="rtl">:</SPAN><BR><INPUT type="text" name="cal_year" value="<?= $cal_today["year"]; /* print the current year */ ?>" size=7>
                  </TD>
	         </TABLE>
   	   </FORM>
      </TD>
   </TR>
</TABLE>